Package org.eclipse.m2m.atl.dsls.core

# Class EMFTCSInjector

java.lang.Object
org.eclipse.m2m.atl.dsls.core.EMFTCSInjector

public class EMFTCSInjector extends Object
A wrapper which allow to create `IModel` from text with TCS.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`EMFTCSInjector.EMFInjectorAdapter`
Adapts an `EMFModel`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ModelAdapter`
`problemsModelAdapter`
`protected ModelAdapter`
`targetModelAdapter`

## Constructor Summary

Constructors
Constructor
Description
`EMFTCSInjector()`

## Method Summary

Modifier and Type
Method
Description
`Map`
`getParameterTypes()`
`String`
`getPrefix()`
`Object`
`inject(EMFModel target, InputStream source, Map params)`
`Object`
`inject(EMFModel target, Reader source, Map params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### problemsModelAdapter

protected ModelAdapter problemsModelAdapter

### targetModelAdapter

protected ModelAdapter targetModelAdapter

## Constructor Details

### EMFTCSInjector

public EMFTCSInjector()

## Method Details

### getParameterTypes

public Map getParameterTypes()

### getPrefix

public String getPrefix()

### inject

public Object inject(EMFModel target, InputStream source, Map params) throws IOException

Throws:
  `IOException`

### inject

public Object inject(EMFModel target, Reader source, Map params) throws IOException

Throws:
  `IOException`